import DataType from "../DataType";

export default class ObjectType extends DataType<object>{
    public sanitize(value: any): object|null|undefined {
        if (value == null) return value;
        if (typeof value === "object") return value;
        console.warn("Value is not an object");
        console.warn(value);
        throw new Error("Value is not an object");
    }
}